seed = 867885093
total construct overlap = 36.329
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 28.1269
overlap 4 6 0
overlap 5 6 0
total overlap = 28.1269
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 8.20218
protrusion 6 0
total protrusion 8.20218
connectivity 0 3 316.634
connectivity 1 2 135.254
connectivity 3 4 137.994
connectivity 4 5 99.0566
total connect 688.939
total separate 0
total block 0
DEBUG: time 72 iteration 0
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 23.9941
overlap 4 6 0
overlap 5 6 0
total overlap = 23.9941
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 10.4489
protrusion 6 0
total protrusion 10.4489
connectivity 0 3 316.634
connectivity 1 2 135.254
connectivity 3 4 138.819
connectivity 4 5 100.911
total connect 691.619
total separate 0
total block 0
DEBUG: updating best solution
 0 25 0 20 18 0 10.4 17.6 0 15 0 0 3.01572 13.136 0 -0.0117251 -0.661427 0 0 21 0
DEBUG: time 85 iteration 1
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 24.8598
overlap 4 6 0
overlap 5 6 0
total overlap = 24.8598
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 9.25714
protrusion 6 0
total protrusion 9.25714
connectivity 0 3 316.634
connectivity 1 2 135.254
connectivity 3 4 138.819
connectivity 4 5 99.9635
total connect 690.671
total separate 0
total block 0
DEBUG: updating best solution
 0 25 0 20 18 0 10.4 17.6 0 15 0 0 3.01572 13.136 0 0.0822432 -0.62149 0 0 21 0
DEBUG: time 95 iteration 2
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 1.68101
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.24598
overlap 3 5 0
overlap 3 6 0
overlap 4 5 30.86
overlap 4 6 0
overlap 5 6 0
total overlap = 32.787
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 8.02269
protrusion 6 0
total protrusion 8.02269
connectivity 0 3 313.587
connectivity 1 2 133.277
connectivity 3 4 134.716
connectivity 4 5 97.0467
total connect 678.627
total separate 0
part 0 blocked by volume of 0.01702
total block 0.01702
DEBUG: time 99 iteration 3
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 1.69803
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.24598
overlap 3 5 0
overlap 3 6 0
overlap 4 5 30.86
overlap 4 6 0
overlap 5 6 0
total overlap = 32.8041
protrusion 0 1.3717
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 8.02269
protrusion 6 0
total protrusion 9.39439
connectivity 0 3 314.088
connectivity 1 2 133.277
connectivity 3 4 134.716
connectivity 4 5 97.0467
total connect 679.128
total separate 0
total block 0
DEBUG: time 104 iteration 4
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 26.8221
overlap 4 6 0
overlap 5 6 0
total overlap = 26.8221
protrusion 0 2.35819
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 9.76867
protrusion 6 0
total protrusion 12.1269
connectivity 0 3 315.431
connectivity 1 2 133.277
connectivity 3 4 135.991
connectivity 4 5 98.9375
total connect 683.636
total separate 0
total block 0
DEBUG: time 115 iteration 5
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0.326853
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 28.5619
overlap 4 6 0
overlap 5 6 0
total overlap = 28.8888
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 8.00901
protrusion 6 0
total protrusion 8.00901
connectivity 0 3 314.587
connectivity 1 2 133.277
connectivity 3 4 135.991
connectivity 4 5 98.2226
total connect 682.078
total separate 0
part 0 blocked by volume of 0.000822819
total block 0.000822819
DEBUG: time 124 iteration 6
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 2.00374
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.700736
overlap 3 5 0
overlap 3 6 0
overlap 4 5 34.2379
overlap 4 6 0
overlap 5 6 0
total overlap = 36.9423
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 6.83445
protrusion 6 0
total protrusion 6.83445
connectivity 0 3 311.54
connectivity 1 2 131.3
connectivity 3 4 131.902
connectivity 4 5 95.3186
total connect 670.061
total separate 0
part 0 blocked by volume of 0.0253588
total block 0.0253588
DEBUG: time 128 iteration 7
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 4.74769
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.700736
overlap 3 5 0
overlap 3 6 0
overlap 4 5 34.2379
overlap 4 6 0
overlap 5 6 0
total overlap = 39.6863
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 6.83445
protrusion 6 0
total protrusion 6.83445
connectivity 0 3 304.879
connectivity 1 2 131.3
connectivity 3 4 131.902
connectivity 4 5 95.3186
total connect 663.399
total separate 0
total block 0
DEBUG: time 210 iteration 8
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 3.43743
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.0255974
overlap 3 5 0
overlap 3 6 0
overlap 4 5 30.4496
overlap 4 6 0.0392817
overlap 5 6 0
total overlap = 33.9519
protrusion 0 1.41579
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 8.51235
protrusion 6 0
total protrusion 9.92815
connectivity 0 3 306.288
connectivity 1 2 131.237
connectivity 3 4 133.052
connectivity 4 5 97.2416
total connect 667.818
total separate 0
total block 0
DEBUG: time 222 iteration 9
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 3.65059
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.0255974
overlap 3 5 0
overlap 3 6 0
overlap 4 5 32.0954
overlap 4 6 0.0392817
overlap 5 6 0
total overlap = 35.8109
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 6.81621
protrusion 6 0
total protrusion 6.81621
connectivity 0 3 305.78
connectivity 1 2 131.237
connectivity 3 4 133.052
connectivity 4 5 96.5365
total connect 666.605
total separate 0
total block 0
DEBUG: time 230 iteration 10
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 4.27003
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 1.21197
overlap 3 5 0
overlap 3 6 0
overlap 4 5 37.2728
overlap 4 6 0
overlap 5 6 0
total overlap = 42.7547
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 5.70009
protrusion 6 0
total protrusion 5.70009
connectivity 0 3 302.731
connectivity 1 2 129.26
connectivity 3 4 128.975
connectivity 4 5 93.6464
total connect 654.613
total separate 0
total block 0
DEBUG: time 234 iteration 11
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 2.99338
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.229808
overlap 3 5 0
overlap 3 6 0
overlap 4 5 33.8636
overlap 4 6 0
overlap 5 6 0
total overlap = 37.0868
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 7.30754
protrusion 6 0
total protrusion 7.30754
connectivity 0 3 304.081
connectivity 1 2 129.229
connectivity 3 4 129.989
connectivity 4 5 95.6171
total connect 658.916
total separate 0
total block 0
DEBUG: time 245 iteration 12
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 2.99338
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.229808
overlap 3 5 0
overlap 3 6 0
overlap 4 5 35.363
overlap 4 6 0
overlap 5 6 0
total overlap = 38.5861
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 5.67288
protrusion 6 0
total protrusion 5.67288
connectivity 0 3 304.081
connectivity 1 2 129.229
connectivity 3 4 129.989
connectivity 4 5 94.9229
total connect 658.222
total separate 0
total block 0
DEBUG: time 254 iteration 13
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 3.57781
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 1.70597
overlap 3 5 1.28443
overlap 3 6 0
overlap 4 5 39.7926
overlap 4 6 0
overlap 5 6 0
total overlap = 46.3608
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 4.61424
protrusion 6 0
total protrusion 4.61424
connectivity 0 3 301.033
connectivity 1 2 127.252
connectivity 3 4 125.928
connectivity 4 5 92.0475
total connect 646.26
total separate 0
total block 0
DEBUG: time 258 iteration 14
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 2.39998
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 1.14255
overlap 3 5 0
overlap 3 6 0
overlap 4 5 37.7323
overlap 4 6 0
overlap 5 6 0
total overlap = 41.2748
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 4.96451
protrusion 6 0
total protrusion 4.96451
connectivity 0 3 302.633
connectivity 1 2 127.236
connectivity 3 4 127.374
connectivity 4 5 94.1478
total connect 651.391
total separate 0
total block 0
DEBUG: time 270 iteration 15
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 2.39998
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 1.14255
overlap 3 5 0
overlap 3 6 0
overlap 4 5 38.8958
overlap 4 6 0
overlap 5 6 0
total overlap = 42.4383
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 3.45121
protrusion 6 0
total protrusion 3.45121
connectivity 0 3 302.633
connectivity 1 2 127.236
connectivity 3 4 127.374
connectivity 4 5 93.4747
total connect 650.717
total separate 0
total block 0
DEBUG: time 278 iteration 16
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 2.94868
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 3.23793
overlap 3 5 1.90946
overlap 3 6 0
overlap 4 5 41.3852
overlap 4 6 0
overlap 5 6 0
total overlap = 49.4812
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.5018
protrusion 6 0
total protrusion 2.5018
connectivity 0 3 299.586
connectivity 1 2 125.259
connectivity 3 4 123.356
connectivity 4 5 90.6411
total connect 638.842
total separate 0
total block 0
DEBUG: time 283 iteration 17
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 1.86765
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 2.49059
overlap 3 5 0
overlap 3 6 0
overlap 4 5 40.4296
overlap 4 6 0
overlap 5 6 0
total overlap = 44.7879
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.57376
protrusion 6 0
total protrusion 2.57376
connectivity 0 3 301.219
connectivity 1 2 125.261
connectivity 3 4 124.378
connectivity 4 5 92.802
total connect 643.66
total separate 0
total block 0
DEBUG: time 294 iteration 18
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 1.86765
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 2.49059
overlap 3 5 0
overlap 3 6 0
overlap 4 5 40.7736
overlap 4 6 0
overlap 5 6 0
total overlap = 45.1318
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.18721
protrusion 6 0
total protrusion 1.18721
connectivity 0 3 301.219
connectivity 1 2 125.261
connectivity 3 4 124.378
connectivity 4 5 92.1557
total connect 643.013
total separate 0
total block 0
DEBUG: time 302 iteration 19
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 2.38131
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 4.97525
overlap 3 5 2.6
overlap 3 6 0
overlap 4 5 41.1823
overlap 4 6 0
overlap 5 6 0
total overlap = 51.1389
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.352948
protrusion 6 0
total protrusion 0.352948
connectivity 0 3 298.173
connectivity 1 2 123.284
connectivity 3 4 120.41
connectivity 4 5 89.371
total connect 631.238
total separate 0
total block 0
DEBUG: time 306 iteration 20
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 1.39455
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 4.11244
overlap 3 5 0
overlap 3 6 0
overlap 4 5 40.5193
overlap 4 6 0
overlap 5 6 0
total overlap = 46.0263
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.352948
protrusion 6 0
total protrusion 0.352948
connectivity 0 3 299.829
connectivity 1 2 123.307
connectivity 3 4 121.232
connectivity 4 5 91.5456
total connect 635.914
total separate 0
total block 0
DEBUG: time 318 iteration 21
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 1.39455
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 4.11244
overlap 3 5 0
overlap 3 6 0
overlap 4 5 40.5193
overlap 4 6 0
overlap 5 6 0
total overlap = 46.0263
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 299.829
connectivity 1 2 123.307
connectivity 3 4 121.232
connectivity 4 5 90.9295
total connect 635.298
total separate 0
total block 0
DEBUG: time 326 iteration 22
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 1.87415
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 6.83631
overlap 3 5 3.45585
overlap 3 6 0
overlap 4 5 42.1288
overlap 4 6 0
overlap 5 6 0
total overlap = 54.2952
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 296.785
connectivity 1 2 121.33
connectivity 3 4 117.319
connectivity 4 5 88.1984
total connect 623.632
total separate 0
total block 0
DEBUG: time 330 iteration 23
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.978414
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 5.84639
overlap 3 5 0
overlap 3 6 0
overlap 4 5 40.4329
overlap 4 6 0
overlap 5 6 0
total overlap = 47.2577
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 298.457
connectivity 1 2 121.379
connectivity 3 4 118.623
connectivity 4 5 90.3681
total connect 628.827
total separate 0
total block 0
DEBUG: time 342 iteration 24
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 1.4254
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 9.61178
overlap 3 5 4.55277
overlap 3 6 0
overlap 4 5 44.2792
overlap 4 6 0
overlap 5 6 0
total overlap = 59.8692
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 295.414
connectivity 1 2 119.401
connectivity 3 4 114.749
connectivity 4 5 87.6743
total connect 617.239
total separate 0
total block 0
DEBUG: time 346 iteration 25
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.616336
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 7.3855
overlap 3 5 0
overlap 3 6 0
overlap 4 5 41.7314
overlap 4 6 0
overlap 5 6 0
total overlap = 49.7332
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 297.246
connectivity 1 2 119.482
connectivity 3 4 116.363
connectivity 4 5 89.7402
total connect 622.831
total separate 0
total block 0
DEBUG: time 357 iteration 26
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 1.03287
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 14.9502
overlap 3 5 6.36788
overlap 3 6 0
overlap 4 5 46.8317
overlap 4 6 0
overlap 5 6 0
total overlap = 69.1826
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 294.204
connectivity 1 2 117.504
connectivity 3 4 112.524
connectivity 4 5 87.0788
total connect 611.311
total separate 0
total block 0
DEBUG: time 361 iteration 27
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.304556
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 10.0874
overlap 3 5 0
overlap 3 6 0
overlap 4 5 43.7057
overlap 4 6 0
overlap 5 6 0
total overlap = 54.0977
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 296.079
connectivity 1 2 117.624
connectivity 3 4 114.196
connectivity 4 5 89.1025
total connect 617.002
total separate 0
total block 0
DEBUG: time 373 iteration 28
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.693602
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 21.1464
overlap 3 5 8.80735
overlap 3 6 0
overlap 4 5 49.6582
overlap 4 6 0
overlap 5 6 0
total overlap = 80.3055
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 293.039
connectivity 1 2 115.647
connectivity 3 4 110.389
connectivity 4 5 86.4713
total connect 605.546
total separate 0
total block 0
DEBUG: time 377 iteration 29
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.0376894
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 14.8282
overlap 3 5 2.12322
overlap 3 6 0
overlap 4 5 46.0767
overlap 4 6 0
overlap 5 6 0
total overlap = 63.0657
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 294.913
connectivity 1 2 115.816
connectivity 3 4 112.059
connectivity 4 5 88.4728
total connect 611.261
total separate 0
total block 0
DEBUG: time 389 iteration 30
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.403346
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 27.8074
overlap 3 5 11.6742
overlap 3 6 0
overlap 4 5 52.6851
overlap 4 6 0
overlap 5 6 0
total overlap = 92.5699
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 291.874
connectivity 1 2 113.839
connectivity 3 4 108.283
connectivity 4 5 85.8707
total connect 599.866
total separate 0
total block 0
DEBUG: time 393 iteration 31
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 20.5789
overlap 3 5 5.17483
overlap 3 6 0
overlap 4 5 48.7242
overlap 4 6 0
overlap 5 6 0
total overlap = 74.4779
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 293.727
connectivity 1 2 114.073
connectivity 3 4 109.951
connectivity 4 5 87.8472
total connect 605.597
total separate 0
total block 0
DEBUG: time 404 iteration 32
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.155905
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 34.7941
overlap 3 5 14.7838
overlap 3 6 0
overlap 4 5 55.8615
overlap 4 6 0
overlap 5 6 0
total overlap = 105.595
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 290.689
connectivity 1 2 112.096
connectivity 3 4 106.206
connectivity 4 5 85.2739
total connect 594.264
total separate 0
total block 0
DEBUG: time 408 iteration 33
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 26.9926
overlap 3 5 8.42343
overlap 3 6 0
overlap 4 5 51.5775
overlap 4 6 0
overlap 5 6 0
total overlap = 86.9936
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 292.508
connectivity 1 2 112.408
connectivity 3 4 107.868
connectivity 4 5 87.2259
total connect 600.01
total separate 0
total block 0
DEBUG: time 420 iteration 34
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 42.0645
overlap 3 5 18.0878
overlap 3 6 0
overlap 4 5 59.1523
overlap 4 6 0
overlap 5 6 0
total overlap = 119.305
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 289.472
connectivity 1 2 110.431
connectivity 3 4 104.154
connectivity 4 5 84.6812
total connect 588.738
total separate 0
total block 0
DEBUG: time 424 iteration 35
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 33.784
overlap 3 5 11.844
overlap 3 6 0
overlap 4 5 54.5893
overlap 4 6 0
overlap 5 6 0
total overlap = 100.217
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 290.578
connectivity 1 2 110.431
connectivity 3 4 105.806
connectivity 4 5 86.6093
total connect 593.425
total separate 0
total block 0
DEBUG: time 435 iteration 36
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.248428
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 49.7484
overlap 3 5 21.5673
overlap 3 6 0
overlap 4 5 62.5314
overlap 4 6 0
overlap 5 6 0
total overlap = 134.095
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 287.544
connectivity 1 2 108.454
connectivity 3 4 102.123
connectivity 4 5 84.0934
total connect 582.214
total separate 0
total block 0
DEBUG: time 439 iteration 37
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 40.7869
overlap 3 5 15.5148
overlap 3 6 0
overlap 4 5 57.724
overlap 4 6 0
overlap 5 6 0
total overlap = 114.026
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 289.396
connectivity 1 2 108.71
connectivity 3 4 103.764
connectivity 4 5 85.9908
total connect 587.86
total separate 0
total block 0
DEBUG: time 452 iteration 38
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.0558212
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 58.0441
overlap 3 5 25.2903
overlap 3 6 0
overlap 4 5 65.9766
overlap 4 6 0
overlap 5 6 0
total overlap = 149.367
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 286.364
connectivity 1 2 106.733
connectivity 3 4 100.112
connectivity 4 5 83.5034
total connect 576.712
total separate 0
total block 0
DEBUG: time 456 iteration 39
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 48.1367
overlap 3 5 19.3655
overlap 3 6 0
overlap 4 5 60.9555
overlap 4 6 0
overlap 5 6 0
total overlap = 128.458
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 288.169
connectivity 1 2 107.085
connectivity 3 4 101.743
connectivity 4 5 85.3702
total connect 582.367
total separate 0
total block 0
DEBUG: time 468 iteration 40
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 66.7349
overlap 3 5 29.1909
overlap 3 6 0
overlap 4 5 69.4804
overlap 4 6 0
overlap 5 6 0
total overlap = 165.406
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 285.139
connectivity 1 2 105.108
connectivity 3 4 98.122
connectivity 4 5 82.9113
total connect 571.28
total separate 0
total block 0
DEBUG: time 472 iteration 41
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 56.186
overlap 3 5 23.3703
overlap 3 6 0
overlap 4 5 64.2629
overlap 4 6 0
overlap 5 6 0
total overlap = 143.819
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 286.242
connectivity 1 2 105.108
connectivity 3 4 99.7432
connectivity 4 5 84.7467
total connect 575.839
total separate 0
total block 0
DEBUG: time 484 iteration 42
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.141481
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 75.7989
overlap 3 5 33.2497
overlap 3 6 0
overlap 4 5 73.013
overlap 4 6 0
overlap 5 6 0
total overlap = 182.203
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 283.214
connectivity 1 2 103.13
connectivity 3 4 96.1542
connectivity 4 5 82.3165
total connect 564.815
total separate 0
total block 0
DEBUG: time 488 iteration 43
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 64.7387
overlap 3 5 27.4822
overlap 3 6 0
overlap 4 5 67.6382
overlap 4 6 0
overlap 5 6 0
total overlap = 159.859
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 285.061
connectivity 1 2 103.409
connectivity 3 4 97.767
connectivity 4 5 84.1226
total connect 570.36
total separate 0
total block 0
DEBUG: time 500 iteration 44
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 85.1737
overlap 3 5 37.4109
overlap 3 6 0
overlap 4 5 76.6242
overlap 4 6 0
overlap 5 6 0
total overlap = 199.209
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 282.036
connectivity 1 2 101.432
connectivity 3 4 94.2103
connectivity 4 5 81.7213
total connect 559.399
total separate 0
total block 0
DEBUG: time 504 iteration 45
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 73.6874
overlap 3 5 31.7208
overlap 3 6 0
overlap 4 5 71.0122
overlap 4 6 0
overlap 5 6 0
total overlap = 176.42
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 283.138
connectivity 1 2 101.432
connectivity 3 4 95.8162
connectivity 4 5 83.4944
total connect 563.88
total separate 0
total block 0
DEBUG: time 516 iteration 46
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.196781
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 94.8355
overlap 3 5 41.7025
overlap 3 6 0
overlap 4 5 80.4021
overlap 4 6 0
overlap 5 6 0
total overlap = 217.137
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 280.115
connectivity 1 2 99.4549
connectivity 3 4 92.2919
connectivity 4 5 81.1223
total connect 552.984
total separate 0
total block 0
DEBUG: time 520 iteration 47
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 82.9713
overlap 3 5 36.0825
overlap 3 6 0
overlap 4 5 74.3862
overlap 4 6 0
overlap 5 6 0
total overlap = 193.44
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 282.013
connectivity 1 2 99.616
connectivity 3 4 93.8884
connectivity 4 5 82.8631
total connect 558.38
total separate 0
total block 0
DEBUG: time 533 iteration 48
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.0717739
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 104.73
overlap 3 5 46.1137
overlap 3 6 0
overlap 4 5 84.248
overlap 4 6 0
overlap 5 6 0
total overlap = 235.164
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 278.992
connectivity 1 2 97.6388
connectivity 3 4 90.3973
connectivity 4 5 80.5203
total connect 547.548
total separate 0
total block 0
DEBUG: time 537 iteration 49
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 92.5303
overlap 3 5 40.5164
overlap 3 6 0
overlap 4 5 77.8908
overlap 4 6 0
overlap 5 6 0
total overlap = 210.937
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 280.855
connectivity 1 2 97.905
connectivity 3 4 91.9827
connectivity 4 5 82.233
total connect 552.975
total separate 0
total block 0
DEBUG: time 552 iteration 50
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 114.909
overlap 3 5 50.5964
overlap 3 6 0
overlap 4 5 88.1217
overlap 4 6 0
overlap 5 6 0
total overlap = 253.627
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 277.837
connectivity 1 2 95.9279
connectivity 3 4 88.5255
connectivity 4 5 79.9202
total connect 542.211
total separate 0
total block 0
DEBUG: time 556 iteration 51
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 102.426
overlap 3 5 45.0141
overlap 3 6 0
overlap 4 5 81.5711
overlap 4 6 0
overlap 5 6 0
total overlap = 229.011
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 278.939
connectivity 1 2 95.9279
connectivity 3 4 90.095
connectivity 4 5 81.6078
total connect 546.57
total separate 0
total block 0
DEBUG: time 568 iteration 52
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.0984913
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.581302
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 125.251
overlap 3 5 55.1471
overlap 3 6 0
overlap 4 5 92.0778
overlap 4 6 0
overlap 5 6 0
total overlap = 273.155
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 275.925
connectivity 1 2 93.9508
connectivity 3 4 86.6724
connectivity 4 5 79.3255
total connect 535.873
total separate 0
total block 0
DEBUG: time 572 iteration 53
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 112.471
overlap 3 5 49.6389
overlap 3 6 0
overlap 4 5 85.318
overlap 4 6 0
overlap 5 6 0
total overlap = 247.428
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 277.86
connectivity 1 2 94.8717
connectivity 3 4 88.2232
connectivity 4 5 80.9827
total connect 541.937
total separate 0
total block 0
DEBUG: time 585 iteration 54
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.0299826
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 135.56
overlap 3 5 59.8229
overlap 3 6 0
overlap 4 5 96.0242
overlap 4 6 0
overlap 5 6 0
total overlap = 291.437
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 274.848
connectivity 1 2 92.8946
connectivity 3 4 84.836
connectivity 4 5 78.7312
total connect 531.31
total separate 0
total block 0
DEBUG: time 589 iteration 55
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 122.714
overlap 3 5 54.26
overlap 3 6 0
overlap 4 5 89.0765
overlap 4 6 0
overlap 5 6 0
total overlap = 266.05
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 276.761
connectivity 1 2 93.0489
connectivity 3 4 86.3759
connectivity 4 5 80.3656
total connect 536.552
total separate 0
total block 0
DEBUG: time 603 iteration 56
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 146.137
overlap 3 5 64.4951
overlap 3 6 0
overlap 4 5 99.9778
overlap 4 6 0
overlap 5 6 0
total overlap = 310.61
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 273.753
connectivity 1 2 91.0718
connectivity 3 4 83.0255
connectivity 4 5 78.1459
total connect 525.997
total separate 0
total block 0
DEBUG: time 606 iteration 57
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 133.142
overlap 3 5 58.9269
overlap 3 6 0
overlap 4 5 92.9239
overlap 4 6 0
overlap 5 6 0
total overlap = 284.993
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 274.857
connectivity 1 2 91.0718
connectivity 3 4 84.5474
connectivity 4 5 79.756
total connect 530.232
total separate 0
total block 0
DEBUG: time 619 iteration 58
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.00998555
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.810815
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 156.741
overlap 3 5 69.2163
overlap 3 6 0
overlap 4 5 103.951
overlap 4 6 0
overlap 5 6 0
total overlap = 330.73
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 271.853
connectivity 1 2 89.0946
connectivity 3 4 81.2347
connectivity 4 5 77.569
total connect 519.751
total separate 0
total block 0
DEBUG: time 623 iteration 59
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 143.686
overlap 3 5 63.6365
overlap 3 6 0
overlap 4 5 96.785
overlap 4 6 0
overlap 5 6 0
total overlap = 304.108
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 273.554
connectivity 1 2 90.0652
connectivity 3 4 82.7357
connectivity 4 5 79.1567
total connect 525.512
total separate 0
total block 0
DEBUG: time 637 iteration 60
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 167.365
overlap 3 5 73.987
overlap 3 6 0
overlap 4 5 107.89
overlap 4 6 0
overlap 5 6 0
total overlap = 349.242
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 270.553
connectivity 1 2 88.088
connectivity 3 4 79.4612
connectivity 4 5 77.0031
total connect 515.106
total separate 0
total block 0
DEBUG: time 641 iteration 61
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 154.274
overlap 3 5 68.3863
overlap 3 6 0
overlap 4 5 100.653
overlap 4 6 0
overlap 5 6 0
total overlap = 323.314
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 271.658
connectivity 1 2 88.088
connectivity 3 4 80.9422
connectivity 4 5 78.5679
total connect 519.256
total separate 0
total block 0
DEBUG: time 653 iteration 62
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.880873
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 177.912
overlap 3 5 78.7922
overlap 3 6 0
overlap 4 5 111.811
overlap 4 6 0
overlap 5 6 0
total overlap = 369.397
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 268.661
connectivity 1 2 86.1109
connectivity 3 4 77.7079
connectivity 4 5 76.4486
total connect 508.928
total separate 0
total block 0
DEBUG: time 657 iteration 63
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 164.999
overlap 3 5 73.164
overlap 3 6 0
overlap 4 5 104.528
overlap 4 6 0
overlap 5 6 0
total overlap = 342.69
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.175366
protrusion 6 0
total protrusion 0.175366
connectivity 0 3 269.766
connectivity 1 2 87.1245
connectivity 3 4 79.1675
connectivity 4 5 77.9912
total connect 514.049
total separate 0
total block 0
DEBUG: time 671 iteration 64
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 164.999
overlap 3 5 73.164
overlap 3 6 0
overlap 4 5 108.008
overlap 4 6 0
overlap 5 6 0
total overlap = 346.17
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 269.766
connectivity 1 2 87.1245
connectivity 3 4 79.1675
connectivity 4 5 77.6539
total connect 513.711
total separate 0
total block 0
DEBUG: time 679 iteration 65
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 188.366
overlap 3 5 83.6426
overlap 3 6 0
overlap 4 5 119.242
overlap 4 6 0
overlap 5 6 0
total overlap = 391.251
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 266.773
connectivity 1 2 85.1473
connectivity 3 4 75.9905
connectivity 4 5 75.5857
total connect 503.497
total separate 0
total block 0
DEBUG: time 683 iteration 66
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 175.485
overlap 3 5 78.021
overlap 3 6 0
overlap 4 5 111.831
overlap 4 6 0
overlap 5 6 0
total overlap = 365.337
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 267.878
connectivity 1 2 85.1473
connectivity 3 4 77.4186
connectivity 4 5 77.0894
total connect 507.533
total separate 0
total block 0
DEBUG: time 695 iteration 67
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.25151
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 198.625
overlap 3 5 88.5555
overlap 3 6 0
overlap 4 5 123.107
overlap 4 6 0
overlap 5 6 0
total overlap = 411.539
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 264.891
connectivity 1 2 83.1702
connectivity 3 4 74.2845
connectivity 4 5 75.0574
total connect 497.403
total separate 0
total block 0
DEBUG: time 700 iteration 68
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 186.063
overlap 3 5 82.8191
overlap 3 6 0
overlap 4 5 115.684
overlap 4 6 0
overlap 5 6 0
total overlap = 384.567
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 265.996
connectivity 1 2 84.2185
connectivity 3 4 75.6914
connectivity 4 5 76.5482
total connect 502.454
total separate 0
total block 0
DEBUG: time 713 iteration 69
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 208.37
overlap 3 5 93.4114
overlap 3 6 0
overlap 4 5 126.937
overlap 4 6 0
overlap 5 6 0
total overlap = 428.719
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 263.014
connectivity 1 2 82.2413
connectivity 3 4 72.6022
connectivity 4 5 74.5538
total connect 492.411
total separate 0
total block 0
DEBUG: time 717 iteration 70
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 220.492
overlap 3 5 89.5253
overlap 3 6 0
overlap 4 5 128.859
overlap 4 6 0
overlap 5 6 0
total overlap = 438.877
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 262.195
connectivity 1 2 82.2413
connectivity 3 4 71.7383
connectivity 4 5 75.2001
total connect 491.375
total separate 0
total block 0
DEBUG: time 730 iteration 71
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.89813
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 239.737
overlap 3 5 100.384
overlap 3 6 0
overlap 4 5 139.946
overlap 4 6 0
overlap 5 6 0
total overlap = 481.966
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 259.235
connectivity 1 2 80.2642
connectivity 3 4 68.838
connectivity 4 5 73.3651
total connect 481.702
total separate 0
total block 0
DEBUG: time 734 iteration 72
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 229.266
overlap 3 5 94.2956
overlap 3 6 0
overlap 4 5 132.675
overlap 4 6 0
overlap 5 6 0
total overlap = 456.237
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.404046
protrusion 6 0
total protrusion 0.404046
connectivity 0 3 260.338
connectivity 1 2 81.341
connectivity 3 4 70.0806
connectivity 4 5 74.7951
total connect 486.555
total separate 0
total block 0
DEBUG: time 747 iteration 73
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 229.266
overlap 3 5 94.2956
overlap 3 6 0
overlap 4 5 136.11
overlap 4 6 0
overlap 5 6 0
total overlap = 459.672
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 260.338
connectivity 1 2 81.341
connectivity 3 4 70.0806
connectivity 4 5 74.5534
total connect 486.313
total separate 0
total block 0
DEBUG: time 756 iteration 74
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 248.537
overlap 3 5 105.228
overlap 3 6 0
overlap 4 5 146.744
overlap 4 6 0
overlap 5 6 0
total overlap = 500.51
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 257.385
connectivity 1 2 79.3639
connectivity 3 4 67.251
connectivity 4 5 72.7792
total connect 476.78
total separate 0
total block 0
DEBUG: time 760 iteration 75
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 237.98
overlap 3 5 99.004
overlap 3 6 0
overlap 4 5 139.752
overlap 4 6 0
overlap 5 6 0
total overlap = 476.736
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 258.487
connectivity 1 2 79.3639
connectivity 3 4 68.5089
connectivity 4 5 74.1333
total connect 480.493
total separate 0
total block 0
DEBUG: time 773 iteration 76
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 2.84491
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 257.627
overlap 3 5 109.999
overlap 3 6 0
overlap 4 5 150.113
overlap 4 6 0
overlap 5 6 0
total overlap = 520.583
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 255.542
connectivity 1 2 77.3868
connectivity 3 4 65.7349
connectivity 4 5 72.4041
total connect 471.067
total separate 0
total block 0
DEBUG: time 777 iteration 77
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 246.798
overlap 3 5 103.913
overlap 3 6 0
overlap 4 5 143.215
overlap 4 6 0
overlap 5 6 0
total overlap = 493.926
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.00464544
protrusion 6 0
total protrusion 0.00464544
connectivity 0 3 256.643
connectivity 1 2 78.4978
connectivity 3 4 66.9797
connectivity 4 5 73.6835
total connect 475.804
total separate 0
total block 0
DEBUG: time 791 iteration 78
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 246.798
overlap 3 5 103.913
overlap 3 6 0
overlap 4 5 146.423
overlap 4 6 0
overlap 5 6 0
total overlap = 497.134
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 256.643
connectivity 1 2 78.4978
connectivity 3 4 66.9797
connectivity 4 5 73.4805
total connect 475.601
total separate 0
total block 0
DEBUG: time 800 iteration 79
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 266.821
overlap 3 5 114.98
overlap 3 6 0
overlap 4 5 156.327
overlap 4 6 0
overlap 5 6 0
total overlap = 538.128
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 253.707
connectivity 1 2 76.5207
connectivity 3 4 64.2804
connectivity 4 5 71.8147
total connect 466.322
total separate 0
total block 0
DEBUG: time 804 iteration 80
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 256.008
overlap 3 5 108.586
overlap 3 6 0
overlap 4 5 149.859
overlap 4 6 0
overlap 5 6 0
total overlap = 514.453
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 254.8
connectivity 1 2 76.5207
connectivity 3 4 65.6359
connectivity 4 5 72.9458
total connect 469.902
total separate 0
total block 0
DEBUG: time 818 iteration 81
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 4.10056
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 276.387
overlap 3 5 119.718
overlap 3 6 0
overlap 4 5 159.151
overlap 4 6 0
overlap 5 6 0
total overlap = 559.357
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 251.872
connectivity 1 2 74.5435
connectivity 3 4 62.9973
connectivity 4 5 71.3283
total connect 460.742
total separate 0
total block 0
DEBUG: time 822 iteration 82
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 265.312
overlap 3 5 113.282
overlap 3 6 0
overlap 4 5 153.346
overlap 4 6 0
overlap 5 6 0
total overlap = 531.94
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 252.964
connectivity 1 2 75.689
connectivity 3 4 64.3436
connectivity 4 5 72.4059
total connect 465.403
total separate 0
total block 0
DEBUG: time 836 iteration 83
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.435402
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 284.629
overlap 3 5 124.481
overlap 3 6 0
overlap 4 5 161.821
overlap 4 6 0
overlap 5 6 0
total overlap = 571.366
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 250.047
connectivity 1 2 73.7119
connectivity 3 4 61.7679
connectivity 4 5 70.8382
total connect 456.365
total separate 0
total block 0
DEBUG: time 841 iteration 84
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 275.388
overlap 3 5 117.604
overlap 3 6 0
overlap 4 5 156.421
overlap 4 6 0
overlap 5 6 0
total overlap = 549.412
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.149861
protrusion 6 0
total protrusion 0.149861
connectivity 0 3 251.099
connectivity 1 2 74.8916
connectivity 3 4 63.1965
connectivity 4 5 71.8375
total connect 461.025
total separate 0
total block 0
DEBUG: time 856 iteration 85
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 275.388
overlap 3 5 117.604
overlap 3 6 0
overlap 4 5 159.261
overlap 4 6 0
overlap 5 6 0
total overlap = 552.253
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 251.099
connectivity 1 2 74.8916
connectivity 3 4 63.1965
connectivity 4 5 71.6861
total connect 460.873
total separate 0
total block 0
DEBUG: time 865 iteration 86
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 291.53
overlap 3 5 128.885
overlap 3 6 0
overlap 4 5 166.952
overlap 4 6 0
overlap 5 6 0
total overlap = 587.367
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 248.193
connectivity 1 2 72.9145
connectivity 3 4 60.7087
connectivity 4 5 70.1917
total connect 452.008
total separate 0
total block 0
DEBUG: time 870 iteration 87
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 284.293
overlap 3 5 121.821
overlap 3 6 0
overlap 4 5 161.951
overlap 4 6 0
overlap 5 6 0
total overlap = 568.064
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 249.219
connectivity 1 2 72.9145
connectivity 3 4 62.1665
connectivity 4 5 71.0918
total connect 455.392
total separate 0
total block 0
DEBUG: time 884 iteration 88
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 2.30714
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 297.443
overlap 3 5 133.179
overlap 3 6 0
overlap 4 5 169.274
overlap 4 6 0
overlap 5 6 0
total overlap = 602.203
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 246.326
connectivity 1 2 70.9374
connectivity 3 4 59.7516
connectivity 4 5 69.6544
total connect 446.67
total separate 0
total block 0
DEBUG: time 889 iteration 89
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 291.486
overlap 3 5 125.928
overlap 3 6 0
overlap 4 5 164.488
overlap 4 6 0
overlap 5 6 0
total overlap = 581.902
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 247.315
connectivity 1 2 72.1511
connectivity 3 4 61.2451
connectivity 4 5 70.4712
total connect 451.182
total separate 0
total block 0
DEBUG: time 905 iteration 90
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 302.496
overlap 3 5 137.367
overlap 3 6 0
overlap 4 5 171.46
overlap 4 6 0
overlap 5 6 0
total overlap = 611.323
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 244.435
connectivity 1 2 70.1739
connectivity 3 4 58.9075
connectivity 4 5 69.094
total connect 442.611
total separate 0
total block 0
DEBUG: time 910 iteration 91
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 297.645
overlap 3 5 129.905
overlap 3 6 0
overlap 4 5 166.885
overlap 4 6 0
overlap 5 6 0
total overlap = 594.435
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.490134
protrusion 6 0
total protrusion 0.490134
connectivity 0 3 245.363
connectivity 1 2 70.1739
connectivity 3 4 60.451
connectivity 4 5 69.8147
total connect 445.803
total separate 0
total block 0
DEBUG: time 925 iteration 92
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 297.645
overlap 3 5 129.905
overlap 3 6 0
overlap 4 5 169.456
overlap 4 6 0
overlap 5 6 0
total overlap = 597.005
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 245.363
connectivity 1 2 70.1739
connectivity 3 4 60.451
connectivity 4 5 69.716
total connect 445.704
total separate 0
total block 0
DEBUG: time 934 iteration 93
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 4.48534
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 306.738
overlap 3 5 141.434
overlap 3 6 0
overlap 4 5 175.822
overlap 4 6 0
overlap 5 6 0
total overlap = 628.48
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 242.5
connectivity 1 2 68.1968
connectivity 3 4 58.2163
connectivity 4 5 68.4231
total connect 437.336
total separate 0
total block 0
DEBUG: time 938 iteration 94
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 302.784
overlap 3 5 133.817
overlap 3 6 0
overlap 4 5 171.644
overlap 4 6 0
overlap 5 6 0
total overlap = 608.245
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 243.379
connectivity 1 2 69.4446
connectivity 3 4 59.798
connectivity 4 5 69.0233
total connect 441.645
total separate 0
total block 0
DEBUG: time 953 iteration 95
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.27968
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 310.195
overlap 3 5 145.433
overlap 3 6 0
overlap 4 5 177.641
overlap 4 6 0
overlap 5 6 0
total overlap = 634.549
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 240.533
connectivity 1 2 67.4675
connectivity 3 4 57.6514
connectivity 4 5 67.7982
total connect 433.45
total separate 0
total block 0
DEBUG: time 957 iteration 96
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 306.993
overlap 3 5 137.712
overlap 3 6 0
overlap 4 5 173.696
overlap 4 6 0
overlap 5 6 0
total overlap = 618.401
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.369487
protrusion 6 0
total protrusion 0.369487
connectivity 0 3 241.36
connectivity 1 2 68.7491
connectivity 3 4 59.2742
connectivity 4 5 68.2911
total connect 437.674
total separate 0
total block 0
DEBUG: time 972 iteration 97
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 306.993
overlap 3 5 137.712
overlap 3 6 0
overlap 4 5 176.043
overlap 4 6 0
overlap 5 6 0
total overlap = 620.747
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 241.36
connectivity 1 2 68.7491
connectivity 3 4 59.2742
connectivity 4 5 68.2345
total connect 437.617
total separate 0
total block 0
DEBUG: time 981 iteration 98
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.32541
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 312.851
overlap 3 5 149.421
overlap 3 6 0
overlap 4 5 181.343
overlap 4 6 0
overlap 5 6 0
total overlap = 644.94
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 238.532
connectivity 1 2 66.7719
connectivity 3 4 57.2412
connectivity 4 5 67.1015
total connect 429.647
total separate 0
total block 0
DEBUG: time 985 iteration 99
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 310.298
overlap 3 5 141.562
overlap 3 6 0
overlap 4 5 177.888
overlap 4 6 0
overlap 5 6 0
total overlap = 629.748
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 239.301
connectivity 1 2 68.2756
connectivity 3 4 58.9378
connectivity 4 5 67.4366
total connect 433.951
total separate 0
total block 0
DEBUG: time 1000 iteration 100
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 3.93639
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 314.678
overlap 3 5 153.361
overlap 3 6 0
overlap 4 5 182.755
overlap 4 6 0
overlap 5 6 0
total overlap = 654.731
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 236.494
connectivity 1 2 66.2985
connectivity 3 4 57.0042
connectivity 4 5 66.3798
total connect 426.176
total separate 0
total block 0
DEBUG: time 1007 iteration 101
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 312.681
overlap 3 5 145.425
overlap 3 6 0
overlap 4 5 179.607
overlap 4 6 0
overlap 5 6 0
total overlap = 637.712
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.000253795
protrusion 5 0.275531
protrusion 6 0
total protrusion 0.275785
connectivity 0 3 237.198
connectivity 1 2 67.585
connectivity 3 4 58.7884
connectivity 4 5 66.5609
total connect 430.133
total separate 0
total block 0
DEBUG: time 1021 iteration 102
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 313.595
overlap 3 5 145.425
overlap 3 6 0
overlap 4 5 182.525
overlap 4 6 0
overlap 5 6 0
total overlap = 641.545
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 237.198
connectivity 1 2 67.585
connectivity 3 4 57.4192
connectivity 4 5 67.9204
total connect 430.123
total separate 0
total block 0
DEBUG: time 1030 iteration 103
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 6.83046
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 313.434
overlap 3 5 157.316
overlap 3 6 0
overlap 4 5 176.184
overlap 4 6 0
overlap 5 6 0
total overlap = 653.765
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 234.415
connectivity 1 2 65.6078
connectivity 3 4 55.4926
connectivity 4 5 66.9456
total connect 422.461
total separate 0
total block 0
DEBUG: time 1034 iteration 104
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 310.734
overlap 3 5 149.6
overlap 3 6 0
overlap 4 5 172.19
overlap 4 6 0
overlap 5 6 0
total overlap = 632.524
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 235.198
connectivity 1 2 67.5816
connectivity 3 4 57.1591
connectivity 4 5 67.3605
total connect 427.299
total separate 0
total block 0
DEBUG: time 1047 iteration 105
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 6.80998
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 315.518
overlap 3 5 161.02
overlap 3 6 0
overlap 4 5 177.803
overlap 4 6 0
overlap 5 6 0
total overlap = 661.15
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 232.386
connectivity 1 2 65.6044
connectivity 3 4 55.1562
connectivity 4 5 66.2366
total connect 419.383
total separate 0
total block 0
DEBUG: time 1052 iteration 106
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 313.378
overlap 3 5 154.062
overlap 3 6 0
overlap 4 5 173.624
overlap 4 6 0
overlap 5 6 0
total overlap = 641.063
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.512814
protrusion 6 0
total protrusion 0.512814
connectivity 0 3 233.136
connectivity 1 2 67.5785
connectivity 3 4 56.8771
connectivity 4 5 66.4104
total connect 424.001
total separate 0
total block 0
DEBUG: time 1065 iteration 107
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 313.378
overlap 3 5 154.062
overlap 3 6 0
overlap 4 5 175.928
overlap 4 6 0
overlap 5 6 0
total overlap = 643.367
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 233.136
connectivity 1 2 67.5785
connectivity 3 4 56.8771
connectivity 4 5 66.3597
total connect 423.951
total separate 0
total block 0
DEBUG: time 1074 iteration 108
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 6.79128
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 316.72
overlap 3 5 164.439
overlap 3 6 0
overlap 4 5 180.861
overlap 4 6 0
overlap 5 6 0
total overlap = 668.811
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 230.346
connectivity 1 2 65.6013
connectivity 3 4 54.9965
connectivity 4 5 65.3331
total connect 416.277
total separate 0
total block 0
DEBUG: time 1078 iteration 109
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.283978
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 315.072
overlap 3 5 158.504
overlap 3 6 0
overlap 4 5 177.171
overlap 4 6 0
overlap 5 6 0
total overlap = 651.031
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.209194
protrusion 5 0.0407205
protrusion 6 0
total protrusion 0.249915
connectivity 0 3 231.011
connectivity 1 2 67.5756
connectivity 3 4 56.837
connectivity 4 5 65.3053
total connect 420.729
total separate 0
total block 0
DEBUG: time 1091 iteration 110
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.283978
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 315.971
overlap 3 5 158.504
overlap 3 6 0
overlap 4 5 180.423
overlap 4 6 0
overlap 5 6 0
total overlap = 655.182
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 231.011
connectivity 1 2 67.5756
connectivity 3 4 55.4689
connectivity 4 5 66.6543
total connect 420.71
total separate 0
total block 0
DEBUG: time 1100 iteration 111
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 6.94572
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 316.232
overlap 3 5 167.844
overlap 3 6 0
overlap 4 5 173.672
overlap 4 6 0
overlap 5 6 0
total overlap = 664.693
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 228.247
connectivity 1 2 65.5985
connectivity 3 4 53.5289
connectivity 4 5 65.6477
total connect 413.023
total separate 0
total block 0
DEBUG: time 1105 iteration 112
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 313.979
overlap 3 5 162.503
overlap 3 6 0
overlap 4 5 169.108
overlap 4 6 0
overlap 5 6 0
total overlap = 645.59
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 229.013
connectivity 1 2 67.0917
connectivity 3 4 55.2455
connectivity 4 5 65.8469
total connect 417.197
total separate 0
total block 0
DEBUG: time 1118 iteration 113
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.3493
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 317.648
overlap 3 5 171.368
overlap 3 6 0
overlap 4 5 174.779
overlap 4 6 0
overlap 5 6 0
total overlap = 674.144
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 226.219
connectivity 1 2 65.1145
connectivity 3 4 53.2942
connectivity 4 5 64.7506
total connect 409.378
total separate 0
total block 0
DEBUG: time 1122 iteration 114
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 315.927
overlap 3 5 166.002
overlap 3 6 0
overlap 4 5 170.387
overlap 4 6 0
overlap 5 6 0
total overlap = 652.315
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.200361
protrusion 5 0.531139
protrusion 6 0
total protrusion 0.7315
connectivity 0 3 226.902
connectivity 1 2 67.0853
connectivity 3 4 55.0827
connectivity 4 5 64.7995
total connect 413.87
total separate 0
total block 0
DEBUG: time 1135 iteration 115
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 316.813
overlap 3 5 166.002
overlap 3 6 0
overlap 4 5 174.004
overlap 4 6 0
overlap 5 6 0
total overlap = 656.819
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 226.902
connectivity 1 2 67.0853
connectivity 3 4 53.7141
connectivity 4 5 66.103
total connect 413.805
total separate 0
total block 0
DEBUG: time 1144 iteration 116
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.3113
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 319.02
overlap 3 5 174.946
overlap 3 6 0
overlap 4 5 179.195
overlap 4 6 0
overlap 5 6 0
total overlap = 683.472
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 224.134
connectivity 1 2 65.1082
connectivity 3 4 51.9007
connectivity 4 5 65.1118
total connect 406.255
total separate 0
total block 0
DEBUG: time 1148 iteration 117
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 317.733
overlap 3 5 169.438
overlap 3 6 0
overlap 4 5 175.338
overlap 4 6 0
overlap 5 6 0
total overlap = 662.509
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.0705063
protrusion 6 0
total protrusion 0.0705063
connectivity 0 3 224.723
connectivity 1 2 67.0796
connectivity 3 4 53.7579
connectivity 4 5 65.0264
total connect 410.587
total separate 0
total block 0
DEBUG: time 1162 iteration 118
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 317.733
overlap 3 5 169.438
overlap 3 6 0
overlap 4 5 177.52
overlap 4 6 0
overlap 5 6 0
total overlap = 664.692
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 224.723
connectivity 1 2 67.0796
connectivity 3 4 53.7579
connectivity 4 5 64.9948
total connect 410.556
total separate 0
total block 0
DEBUG: time 1170 iteration 119
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.2766
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 318.483
overlap 3 5 178.46
overlap 3 6 0
overlap 4 5 170.344
overlap 4 6 0
overlap 5 6 0
total overlap = 677.563
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.00602174
protrusion 5 0
protrusion 6 0
total protrusion 0.00602174
connectivity 0 3 221.984
connectivity 1 2 65.1024
connectivity 3 4 51.8015
connectivity 4 5 63.9495
total connect 402.837
total separate 0
total block 0
DEBUG: time 1175 iteration 120
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 316.716
overlap 3 5 173.168
overlap 3 6 0
overlap 4 5 165.782
overlap 4 6 0
overlap 5 6 0
total overlap = 655.666
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.354627
protrusion 5 0
protrusion 6 0
total protrusion 0.354627
connectivity 0 3 222.676
connectivity 1 2 67.0743
connectivity 3 4 53.5782
connectivity 4 5 64.0414
total connect 407.37
total separate 0
total block 0
DEBUG: time 1188 iteration 121
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 317.592
overlap 3 5 173.168
overlap 3 6 0
overlap 4 5 167.031
overlap 4 6 0
overlap 5 6 0
total overlap = 657.791
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 222.676
connectivity 1 2 67.0743
connectivity 3 4 52.2094
connectivity 4 5 65.4046
total connect 407.365
total separate 0
total block 0
DEBUG: time 1196 iteration 122
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.245
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 319.996
overlap 3 5 182.092
overlap 3 6 0
overlap 4 5 172.853
overlap 4 6 0
overlap 5 6 0
total overlap = 685.186
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 219.906
connectivity 1 2 65.0971
connectivity 3 4 50.3352
connectivity 4 5 64.351
total connect 399.69
total separate 0
total block 0
DEBUG: time 1201 iteration 123
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 318.696
overlap 3 5 176.771
overlap 3 6 0
overlap 4 5 168.389
overlap 4 6 0
overlap 5 6 0
total overlap = 663.856
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.00727113
protrusion 5 0.589201
protrusion 6 0
total protrusion 0.596472
connectivity 0 3 220.506
connectivity 1 2 67.0695
connectivity 3 4 52.1467
connectivity 4 5 64.329
total connect 404.051
total separate 0
total block 0
DEBUG: time 1214 iteration 124
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 319.56
overlap 3 5 176.771
overlap 3 6 0
overlap 4 5 172.089
overlap 4 6 0
overlap 5 6 0
total overlap = 668.42
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 220.506
connectivity 1 2 67.0695
connectivity 3 4 50.7818
connectivity 4 5 65.6211
total connect 403.978
total separate 0
total block 0
DEBUG: time 1223 iteration 125
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.2161
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 320.151
overlap 3 5 185.781
overlap 3 6 0
overlap 4 5 164.623
overlap 4 6 0
overlap 5 6 0
total overlap = 680.771
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 217.766
connectivity 1 2 65.0923
connectivity 3 4 48.8855
connectivity 4 5 64.6341
total connect 396.378
total separate 0
total block 0
DEBUG: time 1227 iteration 126
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.294062
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 318.354
overlap 3 5 180.465
overlap 3 6 0
overlap 4 5 159.832
overlap 4 6 0
overlap 5 6 0
total overlap = 658.946
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.182117
protrusion 6 0
total protrusion 0.182117
connectivity 0 3 218.47
connectivity 1 2 67.0651
connectivity 3 4 50.5783
connectivity 4 5 64.9049
total connect 401.019
total separate 0
total block 0
DEBUG: time 1242 iteration 127
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.294062
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 318.354
overlap 3 5 180.465
overlap 3 6 0
overlap 4 5 162.336
overlap 4 6 0
overlap 5 6 0
total overlap = 661.449
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 218.47
connectivity 1 2 67.0651
connectivity 3 4 50.5783
connectivity 4 5 64.7741
total connect 400.888
total separate 0
total block 0
DEBUG: time 1251 iteration 128
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.1897
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 321.001
overlap 3 5 189.365
overlap 3 6 0
overlap 4 5 168.342
overlap 4 6 0
overlap 5 6 0
total overlap = 688.898
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 215.697
connectivity 1 2 65.0879
connectivity 3 4 48.6587
connectivity 4 5 63.6744
total connect 393.118
total separate 0
total block 0
DEBUG: time 1256 iteration 129
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.200755
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.685447
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 319.658
overlap 3 5 184.051
overlap 3 6 0
overlap 4 5 163.801
overlap 4 6 0
overlap 5 6 0
total overlap = 668.396
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.0202728
protrusion 5 0
protrusion 6 0
total protrusion 0.0202728
connectivity 0 3 216.312
connectivity 1 2 67.0611
connectivity 3 4 50.4392
connectivity 4 5 63.737
total connect 397.549
total separate 0
total block 0
DEBUG: time 1270 iteration 130
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.200755
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0.685447
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 320.511
overlap 3 5 184.051
overlap 3 6 0
overlap 4 5 165.029
overlap 4 6 0
overlap 5 6 0
total overlap = 670.477
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 216.312
connectivity 1 2 67.0611
connectivity 3 4 49.0735
connectivity 4 5 65.0986
total connect 397.545
total separate 0
total block 0
DEBUG: time 1279 iteration 131
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.1656
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 321.718
overlap 3 5 193.037
overlap 3 6 0
overlap 4 5 170.989
overlap 4 6 0
overlap 5 6 0
total overlap = 695.91
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 213.569
connectivity 1 2 65.0839
connectivity 3 4 47.2882
connectivity 4 5 64.0937
total connect 390.035
total separate 0
total block 0
DEBUG: time 1283 iteration 132
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.645525
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.05952
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 320.741
overlap 3 5 187.743
overlap 3 6 0
overlap 4 5 166.542
overlap 4 6 0
overlap 5 6 0
total overlap = 676.73
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.563441
protrusion 6 0
total protrusion 0.563441
connectivity 0 3 214.081
connectivity 1 2 67.0574
connectivity 3 4 49.114
connectivity 4 5 64.0174
total connect 394.27
total separate 0
total block 0
DEBUG: time 1297 iteration 133
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.645525
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.05952
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 320.741
overlap 3 5 187.743
overlap 3 6 0
overlap 4 5 168.919
overlap 4 6 0
overlap 5 6 0
total overlap = 679.107
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 214.081
connectivity 1 2 67.0574
connectivity 3 4 49.114
connectivity 4 5 63.9325
total connect 394.185
total separate 0
total block 0
DEBUG: time 1307 iteration 134
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.453476
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.1436
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 321.878
overlap 3 5 196.817
overlap 3 6 0
overlap 4 5 161.495
overlap 4 6 0
overlap 5 6 0
total overlap = 690.787
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 211.372
connectivity 1 2 65.0803
connectivity 3 4 47.1952
connectivity 4 5 62.895
total connect 386.543
total separate 0
total block 0
DEBUG: time 1311 iteration 135
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.109762
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.84474
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 320.535
overlap 3 5 191.475
overlap 3 6 0
overlap 4 5 156.908
overlap 4 6 0
overlap 5 6 0
total overlap = 670.873
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.13059
protrusion 5 0.140201
protrusion 6 0
total protrusion 0.270791
connectivity 0 3 212.462
connectivity 1 2 67.038
connectivity 3 4 48.9325
connectivity 4 5 63.0898
total connect 391.523
total separate 0
total block 0
DEBUG: time 1326 iteration 136
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.109762
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.84474
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 321.377
overlap 3 5 191.475
overlap 3 6 0
overlap 4 5 160.519
overlap 4 6 0
overlap 5 6 0
total overlap = 675.325
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 212.462
connectivity 1 2 67.038
connectivity 3 4 47.5667
connectivity 4 5 64.3037
total connect 391.371
total separate 0
total block 0
DEBUG: time 1335 iteration 137
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.1826
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 322.705
overlap 3 5 200.451
overlap 3 6 0
overlap 4 5 166.593
overlap 4 6 0
overlap 5 6 0
total overlap = 699.932
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 209.718
connectivity 1 2 65.0608
connectivity 3 4 45.7472
connectivity 4 5 63.2624
total connect 383.788
total separate 0
total block 0
DEBUG: time 1340 iteration 138
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.584012
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 2.16933
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 321.731
overlap 3 5 195.142
overlap 3 6 0
overlap 4 5 162.13
overlap 4 6 0
overlap 5 6 0
total overlap = 681.756
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 210.24
connectivity 1 2 67.0352
connectivity 3 4 47.5471
connectivity 4 5 63.26
total connect 388.082
total separate 0
total block 0
DEBUG: time 1354 iteration 139
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.377708
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.1661
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 322.756
overlap 3 5 204.205
overlap 3 6 0
overlap 4 5 154.8
overlap 4 6 0
overlap 5 6 0
total overlap = 692.305
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 207.529
connectivity 1 2 65.0581
connectivity 3 4 45.6853
connectivity 4 5 62.2804
total connect 380.553
total separate 0
total block 0
DEBUG: time 1358 iteration 140
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.0134609
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 2.93228
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 321.401
overlap 3 5 198.843
overlap 3 6 0
overlap 4 5 149.811
overlap 4 6 0
overlap 5 6 0
total overlap = 673.001
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.261391
protrusion 5 0.47097
protrusion 6 0
total protrusion 0.732361
connectivity 0 3 208.627
connectivity 1 2 67.0162
connectivity 3 4 47.3737
connectivity 4 5 62.614
total connect 385.631
total separate 0
total block 0
DEBUG: time 1373 iteration 141
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.0134609
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 2.93228
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 322.233
overlap 3 5 198.843
overlap 3 6 0
overlap 4 5 153.613
overlap 4 6 0
overlap 5 6 0
total overlap = 677.634
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 208.627
connectivity 1 2 67.0162
connectivity 3 4 46.0075
connectivity 4 5 63.7773
total connect 385.428
total separate 0
total block 0
DEBUG: time 1383 iteration 142
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.2167
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 323.73
overlap 3 5 207.796
overlap 3 6 0
overlap 4 5 160.038
overlap 4 6 0
overlap 5 6 0
total overlap = 701.782
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 205.88
connectivity 1 2 65.039
connectivity 3 4 44.1297
connectivity 4 5 62.6756
total connect 377.724
total separate 0
total block 0
DEBUG: time 1387 iteration 143
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.517882
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 3.21059
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 322.766
overlap 3 5 202.454
overlap 3 6 0
overlap 4 5 155.511
overlap 4 6 0
overlap 5 6 0
total overlap = 684.459
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 206.415
connectivity 1 2 67.0141
connectivity 3 4 45.8735
connectivity 4 5 62.8145
total connect 382.117
total separate 0
total block 0
DEBUG: time 1401 iteration 144
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.297831
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.2046
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 322.86
overlap 3 5 211.498
overlap 3 6 0
overlap 4 5 161.615
overlap 4 6 0
overlap 5 6 0
total overlap = 706.476
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 203.702
connectivity 1 2 65.037
connectivity 3 4 44.1346
connectivity 4 5 61.8132
total connect 374.687
total separate 0
total block 0
DEBUG: time 1405 iteration 145
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 3.95511
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 322.098
overlap 3 5 206.212
overlap 3 6 0
overlap 4 5 157.379
overlap 4 6 0
overlap 5 6 0
total overlap = 689.644
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.0919227
protrusion 5 0.697696
protrusion 6 0
total protrusion 0.789619
connectivity 0 3 204.594
connectivity 1 2 66.9953
connectivity 3 4 45.9832
connectivity 4 5 61.7508
total connect 379.323
total separate 0
total block 0
DEBUG: time 1420 iteration 146
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 3.95511
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 322.914
overlap 3 5 206.212
overlap 3 6 0
overlap 4 5 160.998
overlap 4 6 0
overlap 5 6 0
total overlap = 694.078
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 204.594
connectivity 1 2 66.9953
connectivity 3 4 44.6393
connectivity 4 5 62.9739
total connect 379.203
total separate 0
total block 0
DEBUG: time 1429 iteration 147
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.5662
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 324.565
overlap 3 5 215.366
overlap 3 6 0
overlap 4 5 153.681
overlap 4 6 0
overlap 5 6 0
total overlap = 704.178
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 201.922
connectivity 1 2 65.0181
connectivity 3 4 42.7329
connectivity 4 5 61.9129
total connect 371.586
total separate 0
total block 0
DEBUG: time 1433 iteration 148
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.775852
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.6691
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 323.691
overlap 3 5 209.927
overlap 3 6 0
overlap 4 5 148.614
overlap 4 6 0
overlap 5 6 0
total overlap = 684.677
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.0080607
protrusion 5 0.170742
protrusion 6 0
total protrusion 0.178803
connectivity 0 3 202.458
connectivity 1 2 66.5004
connectivity 3 4 44.3378
connectivity 4 5 62.2887
total connect 375.585
total separate 0
total block 0
DEBUG: time 1450 iteration 149
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.775852
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 1.6691
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 324.499
overlap 3 5 209.927
overlap 3 6 0
overlap 4 5 152.497
overlap 4 6 0
overlap 5 6 0
total overlap = 689.368
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 202.458
connectivity 1 2 66.5004
connectivity 3 4 42.9803
connectivity 4 5 63.4444
total connect 375.383
total separate 0
total block 0
DEBUG: time 1459 iteration 150
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.536126
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 13.7964
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 324.643
overlap 3 5 218.971
overlap 3 6 0
overlap 4 5 159.024
overlap 4 6 0
overlap 5 6 0
total overlap = 716.972
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 199.748
connectivity 1 2 64.5233
connectivity 3 4 41.2386
connectivity 4 5 62.4241
total connect 367.934
total separate 0
total block 0
DEBUG: time 1464 iteration 151
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.0916961
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 2.6199
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 323.959
overlap 3 5 213.666
overlap 3 6 0
overlap 4 5 154.611
overlap 4 6 0
overlap 5 6 0
total overlap = 694.947
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 200.651
connectivity 1 2 66.4721
connectivity 3 4 43.0086
connectivity 4 5 62.4649
total connect 372.596
total separate 0
total block 0
DEBUG: time 1478 iteration 152
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 13.8588
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 325.516
overlap 3 5 220.89
overlap 3 6 0
overlap 4 5 147.064
overlap 4 6 0
overlap 5 6 0
total overlap = 707.329
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 197.98
connectivity 1 2 64.495
connectivity 3 4 41.154
connectivity 4 5 61.4538
total connect 365.082
total separate 0
total block 0
DEBUG: time 1483 iteration 153
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.655264
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 2.99467
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 324.756
overlap 3 5 218.956
overlap 3 6 0
overlap 4 5 140.318
overlap 4 6 0
overlap 5 6 0
total overlap = 687.68
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.0277117
protrusion 5 0.681116
protrusion 6 0
total protrusion 0.708827
connectivity 0 3 198.414
connectivity 1 2 66.4684
connectivity 3 4 42.5426
connectivity 4 5 61.69
total connect 369.115
total separate 0
total block 0
DEBUG: time 1501 iteration 154
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.655264
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 2.99467
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 325.552
overlap 3 5 218.956
overlap 3 6 0
overlap 4 5 143.839
overlap 4 6 0
overlap 5 6 0
total overlap = 691.997
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 198.414
connectivity 1 2 66.4684
connectivity 3 4 41.1855
connectivity 4 5 62.7864
total connect 368.854
total separate 0
total block 0
DEBUG: time 1510 iteration 155
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.401576
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 13.8368
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 325.8
overlap 3 5 222.412
overlap 3 6 0
overlap 4 5 151.796
overlap 4 6 0
overlap 5 6 0
total overlap = 714.246
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 195.705
connectivity 1 2 64.4913
connectivity 3 4 39.3934
connectivity 4 5 61.7072
total connect 361.296
total separate 0
total block 0
DEBUG: time 1515 iteration 156
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 3.91458
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 325.207
overlap 3 5 221.293
overlap 3 6 0
overlap 4 5 145.466
overlap 4 6 0
overlap 5 6 0
total overlap = 695.88
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.38306
protrusion 6 0
total protrusion 0.38306
connectivity 0 3 196.298
connectivity 1 2 66.4409
connectivity 3 4 40.8988
connectivity 4 5 61.5531
total connect 365.191
total separate 0
total block 0
DEBUG: time 1533 iteration 157
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 3.91458
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 325.207
overlap 3 5 221.372
overlap 3 6 0
overlap 4 5 148.444
overlap 4 6 0
overlap 5 6 0
total overlap = 698.938
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 196.298
connectivity 1 2 66.4409
connectivity 3 4 40.8988
connectivity 4 5 61.3433
total connect 364.981
total separate 0
total block 0
DEBUG: time 1542 iteration 158
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 13.9139
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 326.727
overlap 3 5 223.914
overlap 3 6 0
overlap 4 5 140.935
overlap 4 6 0
overlap 5 6 0
total overlap = 705.49
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 193.633
connectivity 1 2 64.4638
connectivity 3 4 39.0867
connectivity 4 5 60.3695
total connect 357.553
total separate 0
total block 0
DEBUG: time 1547 iteration 159
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.531251
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 4.2345
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 326.006
overlap 3 5 222.638
overlap 3 6 0
overlap 4 5 134.025
overlap 4 6 0
overlap 5 6 0
total overlap = 687.435
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.106348
protrusion 6 0
total protrusion 0.106348
connectivity 0 3 193.915
connectivity 1 2 66.4383
connectivity 3 4 40.4073
connectivity 4 5 60.7221
total connect 361.483
total separate 0
total block 0
DEBUG: time 1563 iteration 160
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.531251
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 4.2345
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 326.006
overlap 3 5 222.81
overlap 3 6 0
overlap 4 5 137.136
overlap 4 6 0
overlap 5 6 0
total overlap = 690.718
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 193.915
connectivity 1 2 66.4383
connectivity 3 4 40.4073
connectivity 4 5 60.4459
total connect 361.207
total separate 0
total block 0
DEBUG: time 1573 iteration 161
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.264898
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 13.898
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 326.219
overlap 3 5 225.108
overlap 3 6 0
overlap 4 5 145.658
overlap 4 6 0
overlap 5 6 0
total overlap = 711.148
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 191.209
connectivity 1 2 64.4611
connectivity 3 4 38.5715
connectivity 4 5 59.3187
total connect 353.56
total separate 0
total block 0
DEBUG: time 1577 iteration 162
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 5.12826
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 325.931
overlap 3 5 223.751
overlap 3 6 0
overlap 4 5 139.081
overlap 4 6 0
overlap 5 6 0
total overlap = 693.892
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 191.648
connectivity 1 2 66.4114
connectivity 3 4 39.5965
connectivity 4 5 59.8179
total connect 357.474
total separate 0
total block 0
DEBUG: time 1593 iteration 163
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 13.9891
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 324.715
overlap 3 5 225.708
overlap 3 6 0
overlap 4 5 147.393
overlap 4 6 0
overlap 5 6 0
total overlap = 711.805
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 188.987
connectivity 1 2 64.4342
connectivity 3 4 37.9331
connectivity 4 5 58.8078
total connect 350.162
total separate 0
total block 0
DEBUG: time 1598 iteration 164
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.404737
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 5.39696
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 324.562
overlap 3 5 224.364
overlap 3 6 0
overlap 4 5 140.951
overlap 4 6 0
overlap 5 6 0
total overlap = 695.679
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.647655
protrusion 6 0
total protrusion 0.647655
connectivity 0 3 188.674
connectivity 1 2 66.4095
connectivity 3 4 38.859
connectivity 4 5 59.1927
total connect 353.135
total separate 0
total block 0
DEBUG: time 1614 iteration 165
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.404737
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 5.39696
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 324.562
overlap 3 5 224.734
overlap 3 6 0
overlap 4 5 143.799
overlap 4 6 0
overlap 5 6 0
total overlap = 698.897
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 188.674
connectivity 1 2 66.4095
connectivity 3 4 38.859
connectivity 4 5 58.9489
total connect 352.891
total separate 0
total block 0
DEBUG: time 1623 iteration 166
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.308433
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 13.9779
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 326.912
overlap 3 5 226.48
overlap 3 6 0
overlap 4 5 137.563
overlap 4 6 0
overlap 5 6 0
total overlap = 705.242
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.0560447
protrusion 5 0
protrusion 6 0
total protrusion 0.0560447
connectivity 0 3 186.069
connectivity 1 2 64.4323
connectivity 3 4 37.0225
connectivity 4 5 57.895
total connect 345.419
total separate 0
total block 0
DEBUG: time 1628 iteration 167
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 6.58084
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 326.828
overlap 3 5 224.977
overlap 3 6 0
overlap 4 5 130.353
overlap 4 6 0
overlap 5 6 0
total overlap = 688.74
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.0677995
protrusion 5 0.275724
protrusion 6 0
total protrusion 0.343524
connectivity 0 3 186.61
connectivity 1 2 66.36
connectivity 3 4 37.6555
connectivity 4 5 58.8678
total connect 349.493
total separate 0
total block 0
DEBUG: time 1643 iteration 168
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 6.58084
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 327.67
overlap 3 5 225.448
overlap 3 6 0
overlap 4 5 132.911
overlap 4 6 0
overlap 5 6 0
total overlap = 692.61
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 186.61
connectivity 1 2 66.36
connectivity 3 4 36.3288
connectivity 4 5 59.8672
total connect 349.166
total separate 0
total block 0
DEBUG: time 1653 iteration 169
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.233367
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 14.2087
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 326.175
overlap 3 5 226.939
overlap 3 6 0
overlap 4 5 141.665
overlap 4 6 0
overlap 5 6 0
total overlap = 709.221
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 183.972
connectivity 1 2 64.3828
connectivity 3 4 34.7117
connectivity 4 5 58.8569
total connect 341.923
total separate 0
total block 0
DEBUG: time 1657 iteration 170
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.254602
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 7.09024
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 326.128
overlap 3 5 224.489
overlap 3 6 0
overlap 4 5 134.806
overlap 4 6 0
overlap 5 6 0
total overlap = 692.769
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 184.228
connectivity 1 2 66.3512
connectivity 3 4 35.3959
connectivity 4 5 59.4202
total connect 345.395
total separate 0
total block 0
DEBUG: time 1673 iteration 171
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.0176597
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 14.232
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 328.904
overlap 3 5 225.211
overlap 3 6 0
overlap 4 5 128.727
overlap 4 6 0
overlap 5 6 0
total overlap = 697.092
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 181.658
connectivity 1 2 64.374
connectivity 3 4 33.6019
connectivity 4 5 58.3729
total connect 338.006
total separate 0
total block 0
DEBUG: time 1678 iteration 172
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.787713
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 7.57922
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 328.915
overlap 3 5 220.85
overlap 3 6 0
overlap 4 5 121.253
overlap 4 6 0
overlap 5 6 0
total overlap = 679.385
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.768385
protrusion 6 0
total protrusion 0.768385
connectivity 0 3 181.735
connectivity 1 2 66.3429
connectivity 3 4 33.915
connectivity 4 5 59.385
total connect 341.378
total separate 0
total block 0
DEBUG: time 1693 iteration 173
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.787713
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 7.57922
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 328.915
overlap 3 5 222.892
overlap 3 6 0
overlap 4 5 124.434
overlap 4 6 0
overlap 5 6 0
total overlap = 684.608
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 181.735
connectivity 1 2 66.3429
connectivity 3 4 33.915
connectivity 4 5 59.0249
total connect 341.018
total separate 0
total block 0
DEBUG: time 1703 iteration 174
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.530637
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 14.2569
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 327.046
overlap 3 5 223.599
overlap 3 6 0
overlap 4 5 133.498
overlap 4 6 0
overlap 5 6 0
total overlap = 698.93
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 179.131
connectivity 1 2 64.3657
connectivity 3 4 32.3319
connectivity 4 5 57.9927
total connect 333.821
total separate 0
total block 0
DEBUG: time 1707 iteration 175
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.0233095
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 8.3514
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 327.25
overlap 3 5 219.223
overlap 3 6 0
overlap 4 5 126.145
overlap 4 6 0
overlap 5 6 0
total overlap = 680.993
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.283975
protrusion 6 0
total protrusion 0.283975
connectivity 0 3 178.905
connectivity 1 2 66.3202
connectivity 3 4 32.5397
connectivity 4 5 58.9416
total connect 336.706
total separate 0
total block 0
DEBUG: time 1724 iteration 176
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.0233095
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 8.3514
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 327.25
overlap 3 5 221.265
overlap 3 6 0
overlap 4 5 129.265
overlap 4 6 0
overlap 5 6 0
total overlap = 686.155
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 178.905
connectivity 1 2 66.3202
connectivity 3 4 32.5397
connectivity 4 5 58.6067
total connect 336.371
total separate 0
total block 0
DEBUG: time 1733 iteration 177
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.366856
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 14.8987
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 330.531
overlap 3 5 222.184
overlap 3 6 0
overlap 4 5 124.013
overlap 4 6 0
overlap 5 6 0
total overlap = 691.993
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 176.379
connectivity 1 2 64.3431
connectivity 3 4 30.7654
connectivity 4 5 57.5364
total connect 329.024
total separate 0
total block 0
DEBUG: time 1737 iteration 178
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.987082
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 6.09583
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 330.708
overlap 3 5 217.821
overlap 3 6 0
overlap 4 5 116.38
overlap 4 6 0
overlap 5 6 0
total overlap = 671.993
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 176.454
connectivity 1 2 65.923
connectivity 3 4 30.9097
connectivity 4 5 58.8105
total connect 332.098
total separate 0
total block 0
DEBUG: time 1753 iteration 179
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 1.34601
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 17.0974
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 328.477
overlap 3 5 218.742
overlap 3 6 0
overlap 4 5 125.419
overlap 4 6 0
overlap 5 6 0
total overlap = 691.081
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 173.893
connectivity 1 2 63.9459
connectivity 3 4 29.4024
connectivity 4 5 57.7798
total connect 325.021
total separate 0
total block 0
DEBUG: time 1758 iteration 180
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.272944
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 7.34316
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 328.854
overlap 3 5 214.365
overlap 3 6 0
overlap 4 5 117.753
overlap 4 6 0
overlap 5 6 0
total overlap = 668.588
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.555714
protrusion 6 0
total protrusion 0.555714
connectivity 0 3 173.965
connectivity 1 2 65.8694
connectivity 3 4 29.4189
connectivity 4 5 59.0499
total connect 328.303
total separate 0
total block 0
DEBUG: time 1774 iteration 181
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.272944
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 7.34316
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 328.854
overlap 3 5 216.407
overlap 3 6 0
overlap 4 5 120.941
overlap 4 6 0
overlap 5 6 0
total overlap = 673.818
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 173.965
connectivity 1 2 65.8694
connectivity 3 4 29.4189
connectivity 4 5 58.6643
total connect 327.918
total separate 0
total block 0
DEBUG: time 1783 iteration 182
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.688536
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 17.3337
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 332.603
overlap 3 5 217.569
overlap 3 6 0
overlap 4 5 116.562
overlap 4 6 0
overlap 5 6 0
total overlap = 684.757
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 171.498
connectivity 1 2 63.8923
connectivity 3 4 27.676
connectivity 4 5 57.5675
total connect 320.633
total separate 0
total block 0
DEBUG: time 1787 iteration 183
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.753611
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 7.90505
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 332.933
overlap 3 5 213.208
overlap 3 6 0
overlap 4 5 108.845
overlap 4 6 0
overlap 5 6 0
total overlap = 663.645
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.00985025
protrusion 6 0
total protrusion 0.00985025
connectivity 0 3 171.568
connectivity 1 2 65.8591
connectivity 3 4 27.6624
connectivity 4 5 59.0929
total connect 324.183
total separate 0
total block 0
DEBUG: time 1803 iteration 184
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.753611
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 7.90505
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 332.933
overlap 3 5 215.25
overlap 3 6 0
overlap 4 5 111.944
overlap 4 6 0
overlap 5 6 0
total overlap = 668.786
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 171.568
connectivity 1 2 65.8591
connectivity 3 4 27.6624
connectivity 4 5 58.6484
total connect 323.738
total separate 0
total block 0
DEBUG: time 1812 iteration 185
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.940121
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 17.3569
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 330.394
overlap 3 5 216.374
overlap 3 6 0
overlap 4 5 120.655
overlap 4 6 0
overlap 5 6 0
total overlap = 685.72
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 169.063
connectivity 1 2 63.882
connectivity 3 4 26.307
connectivity 4 5 57.6685
total connect 316.92
total separate 0
total block 0
DEBUG: time 1817 iteration 186
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.0487194
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 9.07002
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 330.902
overlap 3 5 211.998
overlap 3 6 0
overlap 4 5 112.925
overlap 4 6 0
overlap 5 6 0
total overlap = 664.944
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 169.12
connectivity 1 2 65.8101
connectivity 3 4 26.1901
connectivity 4 5 59.1333
total connect 320.254
total separate 0
total block 0
DEBUG: time 1833 iteration 187
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.53248
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 17.5957
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 335.086
overlap 3 5 213.435
overlap 3 6 0
overlap 4 5 109.575
overlap 4 6 0
overlap 5 6 0
total overlap = 676.224
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 166.731
connectivity 1 2 63.833
connectivity 3 4 24.4628
connectivity 4 5 57.9747
total connect 313.001
total separate 0
total block 0
DEBUG: time 1837 iteration 188
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.541548
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 9.55689
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 335.585
overlap 3 5 209.078
overlap 3 6 0
overlap 4 5 101.814
overlap 4 6 0
overlap 5 6 0
total overlap = 656.576
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.0778105
protrusion 6 0
total protrusion 0.0778105
connectivity 0 3 166.785
connectivity 1 2 65.8017
connectivity 3 4 24.2793
connectivity 4 5 59.742
total connect 316.608
total separate 0
total block 0
DEBUG: time 1853 iteration 189
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0.541548
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 9.55689
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 335.585
overlap 3 5 211.12
overlap 3 6 0
overlap 4 5 104.838
overlap 4 6 0
overlap 5 6 0
total overlap = 661.641
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 166.785
connectivity 1 2 65.8017
connectivity 3 4 24.2793
connectivity 4 5 59.2576
total connect 316.123
total separate 0
total block 0
DEBUG: time 1862 iteration 190
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.577068
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 17.6226
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 339.396
overlap 3 5 212.511
overlap 3 6 0
overlap 4 5 102.382
overlap 4 6 0
overlap 5 6 0
total overlap = 672.488
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 164.357
connectivity 1 2 63.8246
connectivity 3 4 22.6755
connectivity 4 5 58.2557
total connect 309.113
total separate 0
total block 0
DEBUG: time 1867 iteration 191
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.6469
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 339.87
overlap 3 5 208.183
overlap 3 6 0
overlap 4 5 94.8453
overlap 4 6 0
overlap 5 6 0
total overlap = 653.545
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 164.483
connectivity 1 2 65.7566
connectivity 3 4 22.4816
connectivity 4 5 60.1938
total connect 312.915
total separate 0
total block 0
DEBUG: time 1882 iteration 192
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.40118
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 17.8622
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 337.97
overlap 3 5 209.538
overlap 3 6 0
overlap 4 5 102.427
overlap 4 6 0
overlap 5 6 0
total overlap = 668.199
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 162.011
connectivity 1 2 63.7795
connectivity 3 4 21.1377
connectivity 4 5 59.1012
total connect 306.029
total separate 0
total block 0
DEBUG: time 1887 iteration 193
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.344308
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 11.0655
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 338.565
overlap 3 5 205.181
overlap 3 6 0
overlap 4 5 94.8512
overlap 4 6 0
overlap 5 6 0
total overlap = 650.007
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 162.045
connectivity 1 2 65.7498
connectivity 3 4 20.829
connectivity 4 5 61.0458
total connect 309.669
total separate 0
total block 0
DEBUG: time 1903 iteration 194
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.25039
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 17.8911
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 342.793
overlap 3 5 206.948
overlap 3 6 0
overlap 4 5 93.7678
overlap 4 6 0
overlap 5 6 0
total overlap = 661.65
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 159.737
connectivity 1 2 63.7726
connectivity 3 4 19.2146
connectivity 4 5 59.9138
total connect 302.638
total separate 0
total block 0
DEBUG: time 1907 iteration 195
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 12.0873
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 343.336
overlap 3 5 202.624
overlap 3 6 0
overlap 4 5 86.7962
overlap 4 6 0
overlap 5 6 0
total overlap = 644.844
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.404585
protrusion 6 0
total protrusion 0.404585
connectivity 0 3 159.832
connectivity 1 2 65.7079
connectivity 3 4 18.8246
connectivity 4 5 62.0948
total connect 306.459
total separate 0
total block 0
DEBUG: time 1923 iteration 196
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 12.0873
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 343.336
overlap 3 5 204.666
overlap 3 6 0
overlap 4 5 89.2495
overlap 4 6 0
overlap 5 6 0
total overlap = 649.34
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 159.832
connectivity 1 2 65.7079
connectivity 3 4 18.8246
connectivity 4 5 61.5282
total connect 305.893
total separate 0
total block 0
DEBUG: time 1932 iteration 197
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.29287
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 18.5832
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 347.25
overlap 3 5 206.395
overlap 3 6 0
overlap 4 5 89.4243
overlap 4 6 0
overlap 5 6 0
total overlap = 661.945
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 157.491
connectivity 1 2 63.7308
connectivity 3 4 17.3071
connectivity 4 5 60.5212
total connect 299.05
total separate 0
total block 0
DEBUG: time 1936 iteration 198
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0.586578
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 9.77765
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 347.426
overlap 3 5 202.129
overlap 3 6 0
overlap 4 5 83.4933
overlap 4 6 0
overlap 5 6 0
total overlap = 643.413
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 157.585
connectivity 1 2 65.2996
connectivity 3 4 16.8757
connectivity 4 5 62.8026
total connect 302.563
total separate 0
total block 0
DEBUG: time 1952 iteration 199
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0.85172
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 20.831
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 346.008
overlap 3 5 203.863
overlap 3 6 0
overlap 4 5 88.2613
overlap 4 6 0
overlap 5 6 0
total overlap = 659.815
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 155.234
connectivity 1 2 63.3224
connectivity 3 4 15.9208
connectivity 4 5 61.7978
total connect 296.275
total separate 0
total block 0
DEBUG: time 1957 iteration 200
